Page MenuHomePhabricator

Create a repository for a tool called Checkers
Closed, ResolvedPublic

Description

  • Repository name: Checkers
  • Who needs access: @Huji
  • Description: See below.
  • Additional information:

Per discussion on CheckUser-L, I have created a JS-based tool, much like Twinkle, that is specifically for the purpose of using the CheckUser tool through its API and demonstrating the results in a more user-friendly, information-rich fashion.

I would like to host the source code on gerrit, so it is easy to share, and most MW developers can contribute to it easily.

The tool's name is Checkers, which resulted from gaming (pun intended) with the name of the CheckUser extension.

Please make myself the group owner for this tool, with +2 right.


Todo list for repo admins:

Event Timeline

Huji created this task.Aug 27 2017, 11:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2017, 11:42 AM
Huji updated the task description. (Show Details)Aug 27 2017, 11:45 AM

I think this is also a good idea. Once the gerrit repo is set up, please yell at me so I can create a mirror here in Diffusion.

Adding @QChris as he seems to have handle this kind of requests on mediawiki.org as well.

Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Aug 28 2017, 8:35 AM

I added it to the mediawiki.org page. Not sure if we're still using that to handle stuff like this.

MarcoAurelio updated the task description. (Show Details)Aug 28 2017, 7:31 PM
MarcoAurelio added a subscriber: demon.

Amended description and projects as per form 31 :)

MarcoAurelio updated the task description. (Show Details)Sep 6 2017, 9:08 AM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio closed this task as Resolved.Sep 6 2017, 9:10 AM
MarcoAurelio assigned this task to QChris.
MarcoAurelio triaged this task as Medium priority.

Everything has been taken care of.